Objects
Update a ticket property
Update a single ticket property by ticket ID.
Overview
Use this endpoint to replace one property value on an existing ticket. It requires public api oauth access token authentication and the crm.tickets.write scope.
PATCH
/api/crm/objects/tickets/{ticketId}cURL
PATCHbash
curl --request PATCH \ --url 'https://crm.notifyy.io/api/crm/objects/tickets/55' \ --header 'Authorization: Bearer nfy_public_api_access_token' \ --header 'Content-Type: application/json' \ --data '{ "internal_name": "priority", "value": "urgent"}'Sample Request Body
json
{ "internal_name": "priority", "value": "urgent"}Sample Response
json
{ "success": true, "message": "Property updated successfully", "data": null}Status Codes
| Code | Description |
|---|---|
| 200 | Property was updated. |
Headers
AuthorizationstringRequired
Public API OAuth bearer token.
Example: Bearer nfy_public_api_access_token
Content-TypestringRequired
Request body media type.
Example: application/json
| Object | Description |
|---|---|
Authorization string | RequiredPublic API OAuth bearer token. Example: Bearer nfy_public_api_access_token |
Content-Type string | RequiredRequest body media type. Example: application/json |
Path parameters
ticketIdintegerRequired
Ticket ID.
Example: 55
| Object | Description |
|---|---|
ticketId integer | RequiredTicket ID. Example: 55 |
Request body
internal_namestringRequired
Property internal name to update.
Example: priority
valueanyOptional
Scalar property value.
Example: urgent
| Object | Description |
|---|---|
internal_name string | RequiredProperty internal name to update. Example: priority |
value any | OptionalScalar property value. Example: urgent |
Response fields
datanull
No response payload is returned for a successful property update.
| Object | Description |
|---|---|
data null | No response payload is returned for a successful property update. |